#
# NDK build file
#
# Written by Ant-ON, 2021
#

LOCAL_PATH := $(call my-dir)
include $(CLEAR_VARS)

LOCAL_MODULE := wext4-1.0

LOCAL_C_INCLUDES := $(LOCAL_PATH)/generated \
	$(LOCAL_PATH) \
	$(LOCAL_PATH)/include \
	$(LOCAL_PATH)/../libfs/include \
	$(LOCAL_PATH)/../libbm/include

LOCAL_SRC_FILES := \
	wext_fs.c \
	ext4_crc32.c \
	src/ext4.c \
	src/ext4_balloc.c \
	src/ext4_bcache.c \
	src/ext4_bitmap.c \
	src/ext4_block_group.c \
	src/ext4_blockdev.c \
	src/ext4_dir.c \
	src/ext4_dir_idx.c \
	src/ext4_extent.c \
	src/ext4_fs.c \
	src/ext4_hash.c \
	src/ext4_ialloc.c \
	src/ext4_inode.c \
	src/ext4_journal.c \
	src/ext4_super.c \
	src/ext4_trans.c \
	src/ext4_xattr.c

MAIN_CFLAGS :=

LOCAL_CFLAGS += -O2 $(MAIN_CFLAGS)

# Remove unused code
LOCAL_CFLAGS += -fvisibility=hidden -ffunction-sections -fdata-sections -Wl,--gc-sections
LOCAL_CPPFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden -ffunction-sections -fdata-sections -Wl,--gc-sections
LOCAL_LDFLAGS += -Wl,--gc-sections -Wl,--strip-all -Wl,-z,nocopyreloc

LOCAL_SHARED_LIBRARIES :=
LOCAL_STATIC_LIBRARIES := mbedtls-2.25.0

LOCAL_EXPORT_C_INCLUDES := $(LOCAL_PATH)/ext_inc

LOCAL_LDLIBS := -llog

include $(BUILD_SHARED_LIBRARY)
