#ifndef EXT4_CONFIG_H
#define EXT4_CONFIG_H

/**@brief  Enable/disable xattr*/
#define CONFIG_XATTR_ENABLE 1

/**@brief  Enable/disable extents*/
#define CONFIG_EXTENTS_ENABLE 1

/**@brief   Debug printf enable (stdout)*/
#define CONFIG_DEBUG_PRINTF 1

/**@brief   Assert printf enable (stdout)*/
#define CONFIG_DEBUG_ASSERT 0

/**@brief   Include assert codes from ext4_debug or standard library.*/
#define CONFIG_HAVE_OWN_ASSERT 0

/**@brief   Statistics of block device*/
#define CONFIG_BLOCK_DEV_ENABLE_STATS 1

/**@brief   Maximum block device name*/
#define CONFIG_EXT4_MAX_BLOCKDEV_NAME 5


/**@brief   Maximum block device count*/
#define CONFIG_EXT4_BLOCKDEVS_COUNT 10

/**@brief   Maximum mountpoint name*/
#define CONFIG_EXT4_MAX_MP_NAME 5

/**@brief   Maximum mountpoint count*/
#define CONFIG_EXT4_MOUNTPOINTS_COUNT 10

/**@brief   Include open flags from ext4_errno or standard library.*/
#define CONFIG_HAVE_OWN_OFLAGS 0

/**@brief Unaligned access switch on/off*/
#define CONFIG_UNALIGNED_ACCESS 1

#endif // EXT4_CONFIG_H
